using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine;
using UnityEngine.SceneManagement;
using System.Linq;
using TMPro;
using UnityEngine.UI;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create("USSR. Military", "This mod adds USSR military loadouts (some of them are from (ARMA 3 MOD RHS and Soviet Armed Forces)", ModAPI.LoadSprite("category icon.png"));


ModAPI.Register(
			    new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Hood",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/h3.png"),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/HoodKZS.png", 3);
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("headgear/HoodKZS.png", 3);
                        prop.armorPoints = 1;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
            			    new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Stick"),
                                NameOverride = "headphones",
                                DescriptionOverride = " ",
                                CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                ThumbnailOverride = ModAPI.LoadSprite("icn/head.png"),
                                AfterSpawn = (Instance) =>
                                {
            						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/1.png", 3);
                                    int PartCount = 1;
                                    Instance.GetOrAddComponent<ArmorBehaviour>();
                                    ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                    ArmorProperties prop = new ArmorProperties();
                                    prop.armorPiece = "Head";
                                    prop.armorTier = 1;
                                    prop.sprite = ModAPI.LoadSprite("headgear/1.png", 3);
                                    prop.armorPoints = 1;
                                    armor.prop = prop;
                                    armor.SetProperties();

                                    if (armor.spawn)
                                    {
                                        armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                    }
                                    Instance.FixColliders();
                                }
                            }
                        );
            ModAPI.Register(
            			    new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Stick"),
                                NameOverride = "KLMK Hood",
                                DescriptionOverride = " ",
                                CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                ThumbnailOverride = ModAPI.LoadSprite("icn/h.png"),
                                AfterSpawn = (Instance) =>
                                {
            						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/Hood.png", 3);
                                    int PartCount = 1;
                                    Instance.GetOrAddComponent<ArmorBehaviour>();
                                    ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                    ArmorProperties prop = new ArmorProperties();
                                    prop.armorPiece = "Head";
                                    prop.armorTier = 1;
                                    prop.sprite = ModAPI.LoadSprite("headgear/Hood.png", 3);
                                    prop.armorPoints = 1;
                                    armor.prop = prop;
                                    armor.SetProperties();

                                    if (armor.spawn)
                                    {
                                        armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                    }
                                    Instance.FixColliders();
                                }
                            }
                        );
                        ModAPI.Register(
                                  new Modification()
                                        {
                                            OriginalItem = ModAPI.FindSpawnable("Stick"),
                                            NameOverride = "Winter Hood",
                                            DescriptionOverride = " ",
                                            CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                            ThumbnailOverride = ModAPI.LoadSprite("icn/h4.png"),
                                            AfterSpawn = (Instance) =>
                                            {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/Hood winter.png", 3);
                                                int PartCount = 1;
                                                Instance.GetOrAddComponent<ArmorBehaviour>();
                                                ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                ArmorProperties prop = new ArmorProperties();
                                                prop.armorPiece = "Head";
                                                prop.armorTier = 1;
                                                prop.sprite = ModAPI.LoadSprite("headgear/Hood winter.png", 3);
                                                prop.armorPoints = 1;
                                                armor.prop = prop;
                                                armor.SetProperties();

                                                if (armor.spawn)
                                                {
                                                    armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                }
                                                Instance.FixColliders();
                                            }
                                        }
                                    );
                                    ModAPI.Register(
                                              new Modification()
                                                    {
                                                        OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                        NameOverride = "Gorka Hood",
                                                        DescriptionOverride = " ",
                                                        CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                        ThumbnailOverride = ModAPI.LoadSprite("icn/h2.png"),
                                                        AfterSpawn = (Instance) =>
                                                        {
                                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/HoodGorka.png", 3);
                                                            int PartCount = 1;
                                                            Instance.GetOrAddComponent<ArmorBehaviour>();
                                                            ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                            ArmorProperties prop = new ArmorProperties();
                                                            prop.armorPiece = "Head";
                                                            prop.armorTier = 1;
                                                            prop.sprite = ModAPI.LoadSprite("headgear/HoodGorka.png", 3);
                                                            prop.armorPoints = 1;
                                                            armor.prop = prop;
                                                            armor.SetProperties();

                                                            if (armor.spawn)
                                                            {
                                                                armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                            }
                                                            Instance.FixColliders();
                                                        }
                                                    }
                                                );




























  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Med bag",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/medback.png", 3);

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);
                        prop.armorPiece = "LowerBody";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/medback.png", 3);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];



                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );









            ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                              NameOverride = "bandage on hand",
                              DescriptionOverride = "",
                              CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                              ThumbnailOverride = ModAPI.LoadSprite("icn/1.png"),
                              AfterSpawn = (Instance) =>
                              {
                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Med.png", 3);

                                  int PartCount = 1;

                                  if (!Instance.GetComponent<ArmorBehaviour>())
                                      Instance.AddComponent<ArmorBehaviour>();

                                  ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                  ArmorProperties prop = new ArmorProperties();
                                  Vector3 offset = new Vector3(0f, 0f);
                                  Vector3 scaleOffset = new Vector3(0f, 0f);
                                  prop.armorPiece = "UpperArmFront";
                                  prop.armorTier = 1;
                                  prop.sprite = ModAPI.LoadSprite("Armor/Med.png", 3);
                                  prop.offset = offset;
                                  prop.scaleOffset = scaleOffset;
                                  prop.armorPoints = 350;
                                  armor.prop = prop;
                                  armor.SetProperties();

                                  ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];



                                  if (armor.spawn)
                                  {
                                      armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                      armor.SpawnOtherParts(armProp);
                                  }

                                  Instance.FixColliders();
                              }
                          }
                      );
























            ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                              NameOverride = "Belt",
                              DescriptionOverride = "",
                              CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                              ThumbnailOverride = ModAPI.LoadSprite("icn/3.png"),
                              AfterSpawn = (Instance) =>
                              {
                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/chicomvestbott3om.png", 3);

                                  int PartCount = 2;

                                  if (!Instance.GetComponent<ArmorBehaviour>())
                                      Instance.AddComponent<ArmorBehaviour>();

                                  ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                  ArmorProperties prop = new ArmorProperties();
                                  Vector3 offset = new Vector3(0f, 0f);
                                  Vector3 scaleOffset = new Vector3(0f, 0f);
                                  prop.armorPiece = "MiddleBody";
                                  prop.armorTier = 1;
                                  prop.sprite = ModAPI.LoadSprite("Armor/chicomvestbott3om.png", 3);
                                  prop.offset = offset;
                                  prop.scaleOffset = scaleOffset;
                                  prop.armorPoints = 350;
                                  armor.prop = prop;
                                  armor.SetProperties();

                                  ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                                  armProp[0].sprite = ModAPI.LoadSprite("Armor/chicomvestto3p.png", 3);
                                  armProp[0].armorPiece = "UpperBody";
                                  armProp[0].offset = offset;
                                  armProp[0].armorTier = 1;
                                  armProp[0].scaleOffset = scaleOffset;
                                  armProp[0].armorPoints = 350;


                                  if (armor.spawn)
                                  {
                                      armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                      armor.SpawnOtherParts(armProp);
                                  }

                                  Instance.FixColliders();
                              }
                          }
                      );

                      ModAPI.Register(
                                      new Modification()
                                      {
                                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                                          NameOverride = "RD-56",
                                          DescriptionOverride = "",
                                          CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                          ThumbnailOverride = ModAPI.LoadSprite("icn/Bac1.png"),
                                          AfterSpawn = (Instance) =>
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/bacp2.png", 3f);
                                              int PartCount = 1;
                                              Instance.GetOrAddComponent<ArmorBehaviour>();
                                              ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                              ArmorProperties prop = new ArmorProperties();
                                              prop.armorPiece = "UpperBody";
                                              prop.armorTier = 3;
                                              prop.sprite = ModAPI.LoadSprite("headgear/bacp2.png", 3f);
                                              prop.armorPoints = 300;
                                              prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                              armor.prop = prop;
                                              armor.SetProperties();

                                              if (armor.spawn)
                                              {
                                                  armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                              }
                                              Instance.FixColliders();
                                          }
                                      }
                                  );
                                  ModAPI.Register(
                                                  new Modification()
                                                  {
                                                      OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                      NameOverride = "Rpg Bag",
                                                      DescriptionOverride = "",
                                                      CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                      ThumbnailOverride = ModAPI.LoadSprite("icn/Bac2.png"),
                                                      AfterSpawn = (Instance) =>
                                                      {
                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/8.png", 3f);
                                                          int PartCount = 1;
                                                          Instance.GetOrAddComponent<ArmorBehaviour>();
                                                          ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                          ArmorProperties prop = new ArmorProperties();
                                                          prop.armorPiece = "UpperBody";
                                                          prop.armorTier = 3;
                                                          prop.sprite = ModAPI.LoadSprite("headgear/8.png", 3f);
                                                          prop.armorPoints = 300;
                                                          prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                          armor.prop = prop;
                                                          armor.SetProperties();

                                                          if (armor.spawn)
                                                          {
                                                              armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                          }
                                                          Instance.FixColliders();
                                                      }
                                                  }
                                              );
                                  ModAPI.Register(
                                                  new Modification()
                                                  {
                                                      OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                      NameOverride = "RD-56 Bhuta",
                                                      DescriptionOverride = "",
                                                      CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                      ThumbnailOverride = ModAPI.LoadSprite("icn/Bac3.png"),
                                                      AfterSpawn = (Instance) =>
                                                      {
                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/bacp2bhu.png", 3f);
                                                          int PartCount = 1;
                                                          Instance.GetOrAddComponent<ArmorBehaviour>();
                                                          ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                          ArmorProperties prop = new ArmorProperties();
                                                          prop.armorPiece = "UpperBody";
                                                          prop.armorTier = 3;
                                                          prop.sprite = ModAPI.LoadSprite("headgear/bacp2bhu.png", 3f);
                                                          prop.armorPoints = 300;
                                                          prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                          armor.prop = prop;
                                                          armor.SetProperties();

                                                          if (armor.spawn)
                                                          {
                                                              armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                          }
                                                          Instance.FixColliders();
                                                      }
                                                  }
                                              );
                                              ModAPI.Register(
                                                              new Modification()
                                                              {
                                                                  OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                  NameOverride = "RD-56 radio",
                                                                  DescriptionOverride = "",
                                                                  CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                  ThumbnailOverride = ModAPI.LoadSprite("icn/Bac5.png"),
                                                                  AfterSpawn = (Instance) =>
                                                                  {
                                                                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/bacp3.png", 3f);
                                                                      int PartCount = 1;
                                                                      Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                      ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                      ArmorProperties prop = new ArmorProperties();
                                                                      prop.armorPiece = "UpperBody";
                                                                      prop.armorTier = 3;
                                                                      prop.sprite = ModAPI.LoadSprite("headgear/bacp3.png", 3f);
                                                                      prop.armorPoints = 300;
                                                                      prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                      armor.prop = prop;
                                                                      armor.SetProperties();

                                                                      if (armor.spawn)
                                                                      {
                                                                          armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                      }
                                                                      Instance.FixColliders();
                                                                  }
                                                              }
                                                          );
                                                          ModAPI.Register(
                                                                          new Modification()
                                                                          {
                                                                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                              NameOverride = "RD-56 radio Bhuta",
                                                                              DescriptionOverride = "",
                                                                              CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                              ThumbnailOverride = ModAPI.LoadSprite("icn/Bac6.png"),
                                                                              AfterSpawn = (Instance) =>
                                                                              {
                                                                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/bacp3bhu.png", 3f);
                                                                                  int PartCount = 1;
                                                                                  Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                  ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                  ArmorProperties prop = new ArmorProperties();
                                                                                  prop.armorPiece = "UpperBody";
                                                                                  prop.armorTier = 3;
                                                                                  prop.sprite = ModAPI.LoadSprite("headgear/bacp3bhu.png", 3f);
                                                                                  prop.armorPoints = 300;
                                                                                  prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                  armor.prop = prop;
                                                                                  armor.SetProperties();

                                                                                  if (armor.spawn)
                                                                                  {
                                                                                      armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                  }
                                                                                  Instance.FixColliders();
                                                                              }
                                                                          }
                                                                      );
                                              ModAPI.Register(
                                                              new Modification()
                                                              {
                                                                  OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                  NameOverride = "Bag",
                                                                  DescriptionOverride = "",
                                                                  CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                  ThumbnailOverride = ModAPI.LoadSprite("icn/Bac4.png"),
                                                                  AfterSpawn = (Instance) =>
                                                                  {
                                                                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("headgear/bac.png", 3f);
                                                                      int PartCount = 1;
                                                                      Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                      ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                      ArmorProperties prop = new ArmorProperties();
                                                                      prop.armorPiece = "UpperBody";
                                                                      prop.armorTier = 3;
                                                                      prop.sprite = ModAPI.LoadSprite("headgear/bac.png", 3f);
                                                                      prop.armorPoints = 300;
                                                                      prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                      armor.prop = prop;
                                                                      armor.SetProperties();

                                                                      if (armor.spawn)
                                                                      {
                                                                          armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                      }
                                                                      Instance.FixColliders();
                                                                  }
                                                              }
                                                          );
                                  ModAPI.Register(
                                                  new Modification()
                                                  {
                                                      OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                      NameOverride = "6sh46",
                                                      DescriptionOverride = "",
                                                      CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                      ThumbnailOverride = ModAPI.LoadSprite("icn/pouch1.png"),
                                                      AfterSpawn = (Instance) =>
                                                      {
                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/09.png", 3f);
                                                          int PartCount = 1;
                                                          Instance.GetOrAddComponent<ArmorBehaviour>();
                                                          ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                          ArmorProperties prop = new ArmorProperties();
                                                          prop.armorPiece = "LowerBody";
                                                          prop.armorTier = 3;
                                                          prop.sprite = ModAPI.LoadSprite("Armor/09.png", 3f);
                                                          prop.armorPoints = 300;
                                                          prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                          armor.prop = prop;
                                                          armor.SetProperties();

                                                          if (armor.spawn)
                                                          {
                                                              armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                          }
                                                          Instance.FixColliders();
                                                      }
                                                  }
                                              );
                                              ModAPI.Register(
                                                              new Modification()
                                                              {
                                                                  OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                  NameOverride = "6sh46 2",
                                                                  DescriptionOverride = "",
                                                                  CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                  ThumbnailOverride = ModAPI.LoadSprite("icn/pouch2.png"),
                                                                  AfterSpawn = (Instance) =>
                                                                  {
                                                                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/092.png", 3f);
                                                                      int PartCount = 1;
                                                                      Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                      ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                      ArmorProperties prop = new ArmorProperties();
                                                                      prop.armorPiece = "LowerBody";
                                                                      prop.armorTier = 3;
                                                                      prop.sprite = ModAPI.LoadSprite("Armor/092.png", 3f);
                                                                      prop.armorPoints = 300;
                                                                      prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                      armor.prop = prop;
                                                                      armor.SetProperties();

                                                                      if (armor.spawn)
                                                                      {
                                                                          armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                      }
                                                                      Instance.FixColliders();
                                                                  }
                                                              }
                                                          );
            ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                              NameOverride = "Belt b",
                              DescriptionOverride = "",
                              CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                              ThumbnailOverride = ModAPI.LoadSprite("icn/2.png"),
                              AfterSpawn = (Instance) =>
                              {
                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/chicomvestbott38om.png", 3);

                                  int PartCount = 2;

                                  if (!Instance.GetComponent<ArmorBehaviour>())
                                      Instance.AddComponent<ArmorBehaviour>();

                                  ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                  ArmorProperties prop = new ArmorProperties();
                                  Vector3 offset = new Vector3(0f, 0f);
                                  Vector3 scaleOffset = new Vector3(0f, 0f);
                                  prop.armorPiece = "MiddleBody";
                                  prop.armorTier = 1;
                                  prop.sprite = ModAPI.LoadSprite("Armor/chicomvestbott38om.png", 3);
                                  prop.offset = offset;
                                  prop.scaleOffset = scaleOffset;
                                  prop.armorPoints = 350;
                                  armor.prop = prop;
                                  armor.SetProperties();

                                  ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                                  armProp[0].sprite = ModAPI.LoadSprite("Armor/chicomvestto3p.png", 3);
                                  armProp[0].armorPiece = "UpperBody";
                                  armProp[0].offset = offset;
                                  armProp[0].armorTier = 1;
                                  armProp[0].scaleOffset = scaleOffset;
                                  armProp[0].armorPoints = 350;


                                  if (armor.spawn)
                                  {
                                      armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                      armor.SpawnOtherParts(armProp);
                                  }

                                  Instance.FixColliders();
                              }
                          }
                      );



                      ModAPI.Register(
                                      new Modification()
                                      {
                                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                                          NameOverride = "SH-68 and Ushanka",
                                          DescriptionOverride = "",
                                          CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                          ThumbnailOverride = ModAPI.LoadSprite("icn/888.png"),
                                          AfterSpawn = (Instance) =>
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/333.png", 3f);
                                              int PartCount = 1;
                                              Instance.GetOrAddComponent<ArmorBehaviour>();
                                              ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                              ArmorProperties prop = new ArmorProperties();
                                              prop.armorPiece = "Head";
                                              prop.armorTier = 3;
                                              prop.sprite = ModAPI.LoadSprite("Helmet/333.png", 3f);
                                              prop.armorPoints = 300;
                                              prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                              armor.prop = prop;
                                              armor.SetProperties();

                                              if (armor.spawn)
                                              {
                                                  armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                              }
                                              Instance.FixColliders();
                                          }
                                      }
                                  );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "SH-68",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/SS1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/33.png", 3f);
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/33.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Rod"),
                                NameOverride = "SH-68 Cover",
                                DescriptionOverride = "",
                                CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                ThumbnailOverride = ModAPI.LoadSprite("icn/SS2.png"),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/with cover.png", 3f);
                                    int PartCount = 1;
                                    Instance.GetOrAddComponent<ArmorBehaviour>();
                                    ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                    ArmorProperties prop = new ArmorProperties();
                                    prop.armorPiece = "Head";
                                    prop.armorTier = 3;
                                    prop.sprite = ModAPI.LoadSprite("Helmet/with cover.png", 3f);
                                    prop.armorPoints = 300;
                                    prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                    armor.prop = prop;
                                    armor.SetProperties();

                                    if (armor.spawn)
                                    {
                                        armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                    }
                                    Instance.FixColliders();
                                }
                            }
                        );

                        ModAPI.Register(
                                        new Modification()
                                        {
                                            OriginalItem = ModAPI.FindSpawnable("Rod"),
                                            NameOverride = "SH-68 Cover 2",
                                            DescriptionOverride = "",
                                            CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                            ThumbnailOverride = ModAPI.LoadSprite("icn/SS3.png"),
                                            AfterSpawn = (Instance) =>
                                            {
                                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/3233with cover 2.png", 3f);
                                                int PartCount = 1;
                                                Instance.GetOrAddComponent<ArmorBehaviour>();
                                                ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                ArmorProperties prop = new ArmorProperties();
                                                prop.armorPiece = "Head";
                                                prop.armorTier = 3;
                                                prop.sprite = ModAPI.LoadSprite("Helmet/3233with cover 2.png", 3f);
                                                prop.armorPoints = 300;
                                                prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                armor.prop = prop;
                                                armor.SetProperties();

                                                if (armor.spawn)
                                                {
                                                    armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                }
                                                Instance.FixColliders();
                                            }
                                        }
                                    );
                                    ModAPI.Register(
                                                    new Modification()
                                                    {
                                                        OriginalItem = ModAPI.FindSpawnable("Rod"),
                                                        NameOverride = "SH-68 Cover 3",
                                                        DescriptionOverride = "",
                                                        CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                        ThumbnailOverride = ModAPI.LoadSprite("icn/SS4.png"),
                                                        AfterSpawn = (Instance) =>
                                                        {
                                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/3233with cover 3.png", 3f);
                                                            int PartCount = 1;
                                                            Instance.GetOrAddComponent<ArmorBehaviour>();
                                                            ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                            ArmorProperties prop = new ArmorProperties();
                                                            prop.armorPiece = "Head";
                                                            prop.armorTier = 3;
                                                            prop.sprite = ModAPI.LoadSprite("Helmet/3233with cover 3.png", 3f);
                                                            prop.armorPoints = 300;
                                                            prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                            armor.prop = prop;
                                                            armor.SetProperties();

                                                            if (armor.spawn)
                                                            {
                                                                armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                            }
                                                            Instance.FixColliders();
                                                        }
                                                    }
                                                );
                        ModAPI.Register(
                                        new Modification()
                                        {
                                            OriginalItem = ModAPI.FindSpawnable("Stick"),
                                            NameOverride = "headset",
                                            DescriptionOverride = "",
                                            CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                            ThumbnailOverride = ModAPI.LoadSprite("icn/33.png"),
                                            AfterSpawn = (Instance) =>
                                            {
                                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/54545.png", 3f);
                                                int PartCount = 1;
                                                Instance.GetOrAddComponent<ArmorBehaviour>();
                                                ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                ArmorProperties prop = new ArmorProperties();
                                                prop.armorPiece = "Head";
                                                prop.armorTier = 1;
                                                prop.sprite = ModAPI.LoadSprite("Headgear/54545.png", 3f);
                                                prop.armorPoints = 100;
                                                prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                armor.prop = prop;
                                                armor.SetProperties();

                                                if (armor.spawn)
                                                {
                                                    armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                }
                                                Instance.FixColliders();
                                            }
                                        }
                                    );


















ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
                    NameOverride = "Panama hat",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/CAP3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/Panama hat.png", 3f);
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Headgear/Panama hat.png", 3f);
                        prop.armorPoints = 100;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );


                                    ModAPI.Register(
                                                    new Modification()
                                                    {
                                                        OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                        NameOverride = "Cap",
                                                        DescriptionOverride = "",
                                                        CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                        ThumbnailOverride = ModAPI.LoadSprite("icn/CAP1.png"),
                                                        AfterSpawn = (Instance) =>
                                                        {
                                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/CaptainHat2.png", 3f);
                                                            int PartCount = 1;
                                                            Instance.GetOrAddComponent<ArmorBehaviour>();
                                                            ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                            ArmorProperties prop = new ArmorProperties();
                                                            prop.armorPiece = "Head";
                                                            prop.armorTier = 1;
                                                            prop.sprite = ModAPI.LoadSprite("Headgear/CaptainHat2.png", 3f);
                                                            prop.armorPoints = 100;
                                                            prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                            armor.prop = prop;
                                                            armor.SetProperties();

                                                            if (armor.spawn)
                                                            {
                                                                armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                            }
                                                            Instance.FixColliders();
                                                        }
                                                    }
                                                );
                                                ModAPI.Register(
                                                                new Modification()
                                                                {
                                                                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                    NameOverride = "Cap Bhuta",
                                                                    DescriptionOverride = "",
                                                                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                    ThumbnailOverride = ModAPI.LoadSprite("icn/CAP2.png"),
                                                                    AfterSpawn = (Instance) =>
                                                                    {
                                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/CaptainHat20000.png", 3f);
                                                                        int PartCount = 1;
                                                                        Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                        ArmorProperties prop = new ArmorProperties();
                                                                        prop.armorPiece = "Head";
                                                                        prop.armorTier = 1;
                                                                        prop.sprite = ModAPI.LoadSprite("Headgear/CaptainHat20000.png", 3f);
                                                                        prop.armorPoints = 100;
                                                                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                        armor.prop = prop;
                                                                        armor.SetProperties();

                                                                        if (armor.spawn)
                                                                        {
                                                                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                        }
                                                                        Instance.FixColliders();
                                                                    }
                                                                }
                                                            );
                                                            ModAPI.Register(
                                                                            new Modification()
                                                                            {
                                                                                OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                NameOverride = "Cap KLMK",
                                                                                DescriptionOverride = "",
                                                                                CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                                ThumbnailOverride = ModAPI.LoadSprite("icn/CAP5.png"),
                                                                                AfterSpawn = (Instance) =>
                                                                                {
                                                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/CaptainHat23.png", 3f);
                                                                                    int PartCount = 1;
                                                                                    Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                    ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                    ArmorProperties prop = new ArmorProperties();
                                                                                    prop.armorPiece = "Head";
                                                                                    prop.armorTier = 1;
                                                                                    prop.sprite = ModAPI.LoadSprite("Headgear/CaptainHat23.png", 3f);
                                                                                    prop.armorPoints = 100;
                                                                                    prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                    armor.prop = prop;
                                                                                    armor.SetProperties();

                                                                                    if (armor.spawn)
                                                                                    {
                                                                                        armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                    }
                                                                                    Instance.FixColliders();
                                                                                }
                                                                            }
                                                                        );
                                                                        ModAPI.Register(
                                                                                        new Modification()
                                                                                        {
                                                                                            OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                            NameOverride = "Cap KZS",
                                                                                            DescriptionOverride = "",
                                                                                            CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                                            ThumbnailOverride = ModAPI.LoadSprite("icn/CAP6.png"),
                                                                                            AfterSpawn = (Instance) =>
                                                                                            {
                                                                                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/CaptainHat230.png", 3f);
                                                                                                int PartCount = 1;
                                                                                                Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                                ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                                ArmorProperties prop = new ArmorProperties();
                                                                                                prop.armorPiece = "Head";
                                                                                                prop.armorTier = 1;
                                                                                                prop.sprite = ModAPI.LoadSprite("Headgear/CaptainHat230.png", 3f);
                                                                                                prop.armorPoints = 100;
                                                                                                prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                                armor.prop = prop;
                                                                                                armor.SetProperties();

                                                                                                if (armor.spawn)
                                                                                                {
                                                                                                    armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                                }
                                                                                                Instance.FixColliders();
                                                                                            }
                                                                                        }
                                                                                    );
                                                            ModAPI.Register(
                                                                            new Modification()
                                                                            {
                                                                                OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                NameOverride = "Ushanka",
                                                                                DescriptionOverride = "",
                                                                                CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                                ThumbnailOverride = ModAPI.LoadSprite("icn/CAP4.png"),
                                                                                AfterSpawn = (Instance) =>
                                                                                {
                                                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/CaptainHat20000.png", 3f);
                                                                                    int PartCount = 1;
                                                                                    Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                    ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                    ArmorProperties prop = new ArmorProperties();
                                                                                    prop.armorPiece = "Head";
                                                                                    prop.armorTier = 1;
                                                                                    prop.sprite = ModAPI.LoadSprite("Headgear/ushanka.png", 3f);
                                                                                    prop.armorPoints = 100;
                                                                                    prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                    armor.prop = prop;
                                                                                    armor.SetProperties();

                                                                                    if (armor.spawn)
                                                                                    {
                                                                                        armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                    }
                                                                                    Instance.FixColliders();
                                                                                }
                                                                            }
                                                                        );
                                                                        ModAPI.Register(
                                                                                        new Modification()
                                                                                        {
                                                                                            OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                            NameOverride = "pilot hat",
                                                                                            DescriptionOverride = "",
                                                                                            CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                                            ThumbnailOverride = ModAPI.LoadSprite("icn/u2.png"),
                                                                                            AfterSpawn = (Instance) =>
                                                                                            {
                                                                                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/pilot.png", 3f);
                                                                                                int PartCount = 1;
                                                                                                Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                                ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                                ArmorProperties prop = new ArmorProperties();
                                                                                                prop.armorPiece = "Head";
                                                                                                prop.armorTier = 1;
                                                                                                prop.sprite = ModAPI.LoadSprite("Headgear/pilot.png", 3f);
                                                                                                prop.armorPoints = 100;
                                                                                                prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                                armor.prop = prop;
                                                                                                armor.SetProperties();

                                                                                                if (armor.spawn)
                                                                                                {
                                                                                                    armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                                }
                                                                                                Instance.FixColliders();
                                                                                            }
                                                                                        }
                                                                                    );
                                                                                    ModAPI.Register(
                                                                                                    new Modification()
                                                                                                    {
                                                                                                        OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                        NameOverride = "pilot hat open visor",
                                                                                                        DescriptionOverride = "",
                                                                                                        CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                                                        ThumbnailOverride = ModAPI.LoadSprite("icn/u3.png"),
                                                                                                        AfterSpawn = (Instance) =>
                                                                                                        {
                                                                                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/pilot2.png", 3f);
                                                                                                            int PartCount = 1;
                                                                                                            Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                                            ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                                            ArmorProperties prop = new ArmorProperties();
                                                                                                            prop.armorPiece = "Head";
                                                                                                            prop.armorTier = 1;
                                                                                                            prop.sprite = ModAPI.LoadSprite("Headgear/pilot2.png", 3f);
                                                                                                            prop.armorPoints = 100;
                                                                                                            prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                                            armor.prop = prop;
                                                                                                            armor.SetProperties();

                                                                                                            if (armor.spawn)
                                                                                                            {
                                                                                                                armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                                            }
                                                                                                            Instance.FixColliders();
                                                                                                        }
                                                                                                    }
                                                                                                );
                                                                                                ModAPI.Register(
                                                                                                                new Modification()
                                                                                                                {
                                                                                                                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                    NameOverride = "pilot hat 2",
                                                                                                                    DescriptionOverride = "",
                                                                                                                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                                                                    ThumbnailOverride = ModAPI.LoadSprite("icn/u.png"),
                                                                                                                    AfterSpawn = (Instance) =>
                                                                                                                    {
                                                                                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Headgear/headhelmet 3.png", 3f);
                                                                                                                        int PartCount = 1;
                                                                                                                        Instance.GetOrAddComponent<ArmorBehaviour>();
                                                                                                                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                                                                                                                        ArmorProperties prop = new ArmorProperties();
                                                                                                                        prop.armorPiece = "Head";
                                                                                                                        prop.armorTier = 1;
                                                                                                                        prop.sprite = ModAPI.LoadSprite("Headgear/headhelmet 3.png", 3f);
                                                                                                                        prop.armorPoints = 100;
                                                                                                                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                                                                                                                        armor.prop = prop;
                                                                                                                        armor.SetProperties();

                                                                                                                        if (armor.spawn)
                                                                                                                        {
                                                                                                                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                                                                                                        }
                                                                                                                        Instance.FixColliders();
                                                                                                                    }
                                                                                                                }
                                                                                                            );
                                                ModAPI.Register(
                                                               new Modification()
                                                               {
                                                                   OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                   NameOverride = "Solider Winter",
                                                                   DescriptionOverride = "",
                                                                   CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                                   ThumbnailOverride = ModAPI.LoadSprite("icn/p4.png"),
                                                                   AfterSpawn = (Instance) =>
                                                                   {
                                                                       var person = Instance.GetComponent<PersonBehaviour>();

                                                                       var Head = Instance.transform.Find("Head").gameObject;

                                                                       Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                                                                       Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                                                                       Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                                                                       {
                                                                           ModAPI.LoadTexture("Outfit/455.png"),
                                                                           ModAPI.LoadTexture("Outfit/winter.png"),
                                                                           ModAPI.LoadTexture("Outfit/morpexwinter.png"),
                                                                           ModAPI.LoadTexture("Outfit/434444winter.png"),
                                                                       };
                                                                   }
                                                               }
                                                           );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "VDV",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/p1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/desant.newpng.png"),
                            ModAPI.LoadTexture("Outfit/desantelnasNew.png"),
                            ModAPI.LoadTexture("Outfit/desant.newpng1.png"),
                           ModAPI.LoadTexture("Outfit/434342.png"),
                           ModAPI.LoadTexture("Outfit/43434299.png"),

                        };
                    }
                }
            );
            ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Human"),
                               NameOverride = "",
                               DescriptionOverride = "I still have no idea",
                               CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                               ThumbnailOverride = ModAPI.LoadSprite("icn/p2.png"),
                               AfterSpawn = (Instance) =>
                               {
                                   var person = Instance.GetComponent<PersonBehaviour>();

                                   var Head = Instance.transform.Find("Head").gameObject;

                                   Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                                   Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                                   Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                                   {
                                       ModAPI.LoadTexture("Outfit/kzs 2.png"),
                                        ModAPI.LoadTexture("Outfit/4344.png"),

                            };
                           }
                          }
                       );


                       ModAPI.Register(
                                      new Modification()
                                      {
                                          OriginalItem = ModAPI.FindSpawnable("Human"),
                                          NameOverride = "",
                                          DescriptionOverride = "I still have no idea",
                                          CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                          ThumbnailOverride = ModAPI.LoadSprite("icn/p6.png"),
                                          AfterSpawn = (Instance) =>
                                          {
                                              var person = Instance.GetComponent<PersonBehaviour>();

                                              var Head = Instance.transform.Find("Head").gameObject;

                                              Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                                              Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                                              Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                                              {
                                                  ModAPI.LoadTexture("Outfit/434444NOT.png"),
                                                  ModAPI.LoadTexture("Outfit/desant.newpngNOT.png"),
                                                  ModAPI.LoadTexture("Outfit/morpexNOT.png"),
                                              };
                                          }
                                      }
                                  );
                                  ModAPI.Register(
                                                 new Modification()
                                                 {
                                                     OriginalItem = ModAPI.FindSpawnable("Human"),
                                                     NameOverride = "Pilot",
                                                     DescriptionOverride = "",
                                                     CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                     ThumbnailOverride = ModAPI.LoadSprite("icn/p7.png"),
                                                     AfterSpawn = (Instance) =>
                                                     {
                                                         var person = Instance.GetComponent<PersonBehaviour>();

                                                         var Head = Instance.transform.Find("Head").gameObject;

                                                         Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                                                         Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                                                         Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                                                         {
                                                             ModAPI.LoadTexture("Outfit/desant.newpngVVS.png"),
                                                             ModAPI.LoadTexture("Outfit/morpexVVS.png"),
                                                             ModAPI.LoadTexture("Outfit/desant.newpngVVS2.png"),
                                                             ModAPI.LoadTexture("Outfit/morpexVVS22.png"),
                                                             ModAPI.LoadTexture("Outfit/desant.newpngVVS22.png"),
                                                         };
                                                     }
                                                 }
                                             );
                                             ModAPI.Register(
                                                 new Modification()
                                                 {
                                                     OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                     NameOverride = "Pack cigs Space",
                                                     DescriptionOverride = "it is better to shrink the bundle as it is very large .",
                                                     CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                     ThumbnailOverride = ModAPI.LoadSprite("icn/park.png"),
                                                     AfterSpawn = (Instance) =>
                                                     {
                                                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pack cigs Space.png");
                                                         var Phys = Instance.GetComponent<PhysicalBehaviour>();
                                                         Phys.Properties.BulletSpeedAbsorptionPower = 1;
                                                         Phys.TrueInitialMass = 1f;
                                                         Phys.rigidbody.mass = 1f;
                                                         Phys.InitialMass = 1f;
                                                         Instance.FixColliders();
                                                     }
                                                 }
                                             );

                                             ModAPI.Register(
                                                 new Modification()
                                                 {
                                                     OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                     NameOverride = "Cig",
                                                     DescriptionOverride = "it is better to shrink the bundle as it is very large .",
                                                     CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                     ThumbnailOverride = ModAPI.LoadSprite("icn/cig.png"),
                                                     AfterSpawn = (Instance) =>
                                                     {
                                                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cigarette.png");
                                                         var Phys = Instance.GetComponent<PhysicalBehaviour>();
                                                         Phys.Properties.BulletSpeedAbsorptionPower = 1;
                                                         Phys.TrueInitialMass = 1f;
                                                         Phys.rigidbody.mass = 1f;
                                                         Phys.InitialMass = 1f;
                                                         Instance.FixColliders();
                                                     }
                                                 }
                                             );
                                             ModAPI.Register(
                                                 new Modification()
                                                 {
                                                     OriginalItem = ModAPI.FindSpawnable("Torch"),
                                                     NameOverride = "Cig fire",
                                                     DescriptionOverride = "it is better to shrink the bundle as it is very large .",
                                                     CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                                     ThumbnailOverride = ModAPI.LoadSprite("icn/cigs fire.png"),
                                                     AfterSpawn = (Instance) =>
                                                     {
                                                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bcigarette.png");
                                                         var Phys = Instance.GetComponent<PhysicalBehaviour>();
                                                         Phys.Properties.BulletSpeedAbsorptionPower = 1;
                                                         Phys.TrueInitialMass = 1f;
                                                         Phys.rigidbody.mass = 1f;
                                                         Phys.InitialMass = 1f;
                                                         Instance.FixColliders();
                                                     }
                                                 }
                                             );

                       ModAPI.Register(
                                      new Modification()
                                      {
                                          OriginalItem = ModAPI.FindSpawnable("Human"),
                                          NameOverride = "Scout Marin",
                                          DescriptionOverride = "",
                                          CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                                          ThumbnailOverride = ModAPI.LoadSprite("icn/p2.png"),
                                          AfterSpawn = (Instance) =>
                                          {
                                              var person = Instance.GetComponent<PersonBehaviour>();

                                              var Head = Instance.transform.Find("Head").gameObject;

                                              Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                                              Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                                              Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                                              {
                                                  ModAPI.LoadTexture("Outfit/kzs 2.png"),
                                                  ModAPI.LoadTexture("Outfit/43445.png"),
                                              };
                                          }
                                      }
                                  );
            ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Human"),
                               NameOverride = "Gorka",
                               DescriptionOverride = "",
                               CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                               ThumbnailOverride = ModAPI.LoadSprite("icn/p8.png"),
                               AfterSpawn = (Instance) =>
                               {
                                   var person = Instance.GetComponent<PersonBehaviour>();

                                   var Head = Instance.transform.Find("Head").gameObject;

                                   Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                                   Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                                   Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                                   {
                                       ModAPI.LoadTexture("Outfit/Gorka .png"),
                                   };
                               }
                           }
                       );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marin",
                    DescriptionOverride = "I love drinking water",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/p3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/434444.png"),
                            ModAPI.LoadTexture("Outfit/morpex.png"),
                            ModAPI.LoadTexture("Outfit/4344404.png"),
                            ModAPI.LoadTexture("Outfit/morpex2.png"),
                            ModAPI.LoadTexture("Outfit/morpex29.png"),
                            ModAPI.LoadTexture("Outfit/4344449.png"),
                        };
                    }
                }
            );




















 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "TankMan",
                    DescriptionOverride = "I have no idea what to write here",
                    CategoryOverride = ModAPI.FindCategory("USSR. Military"),
                    ThumbnailOverride = ModAPI.LoadSprite("icn/p5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/Tankman.png"),
                          ModAPI.LoadTexture("Outfit/Tankman1.png"),
                      };
                    }
                }
            );


        }












public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 3;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}
